org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxFinishRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest
      - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxFinishRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, GridCacheVersionable, Message

    public class GridNearTxFinishRequest
    extends GridDistributedTxFinishRequest

Near transaction finish request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`CACHE_MSG_INDEX_FIELD_NAME, cacheId, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`GridNearTxFinishRequest()` Empty constructor required for `Externalizable`.

`GridNearTxFinishRequest(IgniteUuid futId, GridCacheVersion xidVer, long threadId, boolean commit, boolean invalidate, boolean sys, GridIoPolicy plc, boolean syncCommit, boolean syncRollback, boolean explicitLock, boolean storeEnabled, AffinityTopologyVersion topVer, GridCacheVersion baseVer, Collection<GridCacheVersion> committedVers, Collection<GridCacheVersion> rolledbackVers, int txSize, UUID subjId, int taskNameHash)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`boolean` `explicitLock()`
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `miniId()`
`void` `miniId(IgniteUuid miniId)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `storeEnabled()`
`UUID` `subjectId()`
`int` `taskNameHash()`
`AffinityTopologyVersion` `topologyVersion()` Gets topology version or -1 in case of topology version is not required for this message.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest

`baseVersion, commit, commitVersion, finishUnmarshal, futureId, groupLock, groupLockKey, isInvalidate, policy, prepareMarshal, replyRequired, syncCommit, syncRollback, system, threadId, txSize`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`candidatesByIndex, candidatesByIndex, candidatesByKey, candidatesByKey, candidatesByKey, committedVersions, completedVersions, keysCount, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`allowForStartup, cacheId, cacheId, classError, deployInfo, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalBooleanLinkedMap, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onClassError, partitionExchangeMessage, prepare, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, transferExpiryPolicy, unmarshalBooleanLinkedMap, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridNearTxFinishRequest

    public GridNearTxFinishRequest()

Empty constructor required for `Externalizable`.

#### GridNearTxFinishRequest

    public GridNearTxFinishRequest(IgniteUuid futId,
                           GridCacheVersion xidVer,
                           long threadId,
                           boolean commit,
                           boolean invalidate,
                           boolean sys,
                           GridIoPolicy plc,
                           boolean syncCommit,
                           boolean syncRollback,
                           boolean explicitLock,
                           boolean storeEnabled,
                           @NotNull
                           AffinityTopologyVersion topVer,
                           GridCacheVersion baseVer,
                           Collection<GridCacheVersion> committedVers,
                           Collection<GridCacheVersion> rolledbackVers,
                           int txSize,
                           @Nullable
                           UUID subjId,
                           int taskNameHash)

Parameters:
  `futId` - Future ID.
  `xidVer` - Transaction ID.
  `threadId` - Thread ID.
  `commit` - Commit flag.
  `invalidate` - Invalidate flag.
  `sys` - System flag.
  `explicitLock` - Explicit lock flag.
  `storeEnabled` - Store enabled flag.
  `topVer` - Topology version.
  `baseVer` - Base version.
  `committedVers` - Committed versions.
  `rolledbackVers` - Rolled back versions.
  `txSize` - Expected transaction size.

### Method Detail

#### explicitLock

    public boolean explicitLock()

Returns:
  Explicit lock flag.

#### storeEnabled

    public boolean storeEnabled()

Returns:
  Store enabled flag.

#### miniId

    public IgniteUuid miniId()

Returns:
  Mini future ID.

#### miniId

    public void miniId(IgniteUuid miniId)

Parameters:
  `miniId` - Mini future ID.

#### subjectId

    @Nullable
    public UUID subjectId()

Returns:
  Subject ID.

#### taskNameHash

    public int taskNameHash()

Returns:
  Task name hash.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Description copied from class: `GridCacheMessage`
Gets topology version or -1 in case of topology version is not required for this message.

Overrides:
  `topologyVersion` in class `GridCacheMessage`
Returns:
  Topology version.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDistributedTxFinishRequest`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDistributedTxFinishRequest`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedTxFinishRequest`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015